const getters = {
	sidebar: state => state.app.sidebar,
	size: state => state.app.size,
	device: state => state.app.device,
	notFound: state => state.app.notFound,
	dict: state => state.dict.dict,
	visitedViews: state => state.tagsView.visitedViews,
	cachedViews: state => state.tagsView.cachedViews,
	token: state => state.user.token,
	avatar: state => state.user.avatar,
	name: state => state.user.name,
	introduction: state => state.user.introduction,
	roles: state => state.user.roles,
	permissions: state => state.user.permissions,
	permission_routes: state => state.permission.routes,
	topbarRouters: state => state.permission.topbarRouters,
	defaultRoutes: state => state.permission.defaultRoutes,
	sidebarRouters: state => state.permission.sidebarRouters,
	personInfo: state => state.permission.personInfo,
	companyID: state => state.user.companyID,
	// tableId: state => state.approval.tableId,
	// isTried: state => state.approval.isTried,
	// flowPermission1: state => state.approval.flowPermission1,
	// approverDrawer: state => state.approval.approverDrawer,
	// approverConfig1: state => state.approval.approverConfig1,
	// copyerDrawer: state => state.approval.copyerDrawer,
	// copyerConfig1: state => state.approval.copyerConfig1,
	// conditionDrawer: state => state.approval.conditionDrawer,
	// promoterDrawer: state => state.approval.promoterDrawer,
	// conditionsConfig1: state => state.approval.conditionsConfig1,
	promoterDrawer: state => state.flowPath.promoterDrawer,
	flowPermission: state => state.flowPath.flowPermission,
	approverDrawer: state => state.flowPath.approverDrawer,
	approverConfig: state => state.flowPath.approverConfig,
	copyerDrawer: state => state.flowPath.copyerDrawer,
	copyerConfig: state => state.flowPath.copyerConfig,
	conditionDrawer: state => state.flowPath.conditionDrawer,
	conditionsConfig: state => state.flowPath.conditionsConfig,
  getButtonPre: (state) => state.perButton.buttonObj,
	messageCount: state => state.user.messageCount,
}
export default getters
