// 搜索配置
const searchModelJson = [

]
// 页面操作按钮配置
const fucDataJson = [{
		name: '导出',
		type: 'danger',
		icon: 'el-icon-position'
	},

]
// 表头配置
const tableColumnJson = [
	{
		label: '状态',
		prop: 'state',
		tooltip: true,
	},
	{
		label: '任务ID',
		prop: 'billid',
		tooltip: true,
	},
	{
		label: '任务名称',
		prop: 'taskName',
		tooltip: true,
	},
	{
		label: '执行方法',
		prop: 'taskFunction',
		tooltip: true,
	},
	{
		label: '执行方式',
		prop: 'taskType',
		tooltip: true
	},
	{
		label: '数值',
		prop: 'taskValue',
		tooltip: true
	},
	{
		label: '第一次执行',
		prop: 'fristTime',
		tooltip: true,
	},
	{
		label: '下次执行',
		prop: 'nextTime',
		tooltip: true,
	},
	{
		label: '执行次数',
		prop: 'times',
		tooltip: true,
	},

]
const tableLogJson = [
	{
		label: '执行内容',
		prop: 'actionName',
		tooltip: true,
	},
	{
		label: '执行数据',
		prop: 'contentData',
		tooltip: true,
	},
	{
		label: '结果状态',
		prop: 'resultState',
		tooltip: true,
	},
	{
		label: '结果信息',
		prop: 'resultMessage',
		tooltip: true,
	},
	{
		label: '是否解决',
		prop: 'isSolve',
		tooltip: true,
	},
	{
		label: '处理备注',
		prop: 'SolveRemark',
		tooltip: true,
	},
	{
		label: '创建时间',
		prop: 'createtime',
		tooltip: true,
	},
]
// 详情页面结构JSON
const formRow = [{
		elCol: [{
				label: '选择人员',
				prop: 'archivesNo',
				tag: 'elInput',
			},
			{
				label: '登录账号',
				prop: 'villageId',
				tag: 'elInput',
			},
		]
	},{
		elCol: [{
				label: '密码',
				prop: 'archivesNo',
				tag: 'elInput',
				show:false
			},
			{
				label: '登录账号',
				prop: 'villageId',
				tag: 'elInput',
			},
		]
	},
]
const roleOptions = [{
		label: '超级管理员',
		value: 1
	},
	{
		label: '业务员',
		value: 2
	},
	{
		label: '管理员',
		value: 3
	},
	{
		label: '开发成员',
		value: 4
	},
	{
		label: '项目经理',
		value: 5
	},
	{
		label: '实施人员',
		value: 6
	},
	{
		label: '财务',
		value: 7
	},
	{
		label: '总经理',
		value: 8
	},
	{
		label: '副总',
		value: 9
	}
]
const rules = {
	villageId: [{
		required: true,
		message: '请选择村/社区名称',
		trigger: 'change'
	}],
	registerTime: [{
		required: true,
		message: '请选择登记时间',
		trigger: 'change'
	}],
};
// 详情显示图片配置
const showImgJson = {
	span: 24,
	text: '现场照片',
	field: 'photoUrls',

};
export default {
	searchModelJson,
	fucDataJson,
	tableColumnJson,
	showImgJson,
	formRow,
	rules,
	tableLogJson
}
