const tableColumn = [{
	label: '角色编号',
	prop: 'roleCode',
	tooltip: true,
	// sortable: true,
}, {
	label: '角色名称',
	prop: 'roleName',
	tooltip: true,
	// sortable: true,
}, {
	label: '所属分类',
	prop: 'category',
	tooltip: true,
},{
	label: '角色分类',
	prop: 'roleType',
	tooltip: true,
}, {
	label: '内外标识',
	prop: 'externalType',
	tooltip: true,
},  {
	label: '是否显示',
	prop: 'isEnable',
	tooltip: true,
}, {
	label: '角色类型 ',
	prop: 'roleBond',
	tooltip: true,
}, {
	label: '所属单位',
	prop: 'orgName',
	tooltip: true,
}, {
	label: '是否是基准角色',
	prop: 'isBenchmark',
	tooltip: true,
}, {
	label: '排序',
	prop: 'sorts',
	tooltip: true,
}, {
	label: '描述',
	prop: 'description',
	tooltip: true,
} ]
const 	rules= {
	r_RoleCode: [{
		required: true,
		message: '请输入角色编码',
		trigger: 'blur'
	}],
	r_RoleName: [{
		required: true,
		message: '请输入角色名称',
		trigger: 'blur'
	}],
	r_Sort: [{
		required: true,
		message: '请输入排序',
		trigger: 'blur'
	}],
}
const formRow = [
	{
		elCol: [{
			label: '名称',
			prop: 'roleName',
			tag: 'elInput',
		},{
			label: '编码',
			prop: 'roleCode',
			tag: 'elInput',
			disabled:false
		}]
	},
	{
		elCol: [{
			label: '所属分类',
			prop: 'category',
			tag: 'elSelect',
			options:[
				{label:'超级管理员',value:'1'},
				{label:'管理员',value:'2'},
				{label:'业务员',value:'3'},
			]
		},{
			label: '所属单位',
			prop: 'orgAccountId',
			tag: 'elTreeSelect',
			options:[]
		}]
	},
	{
		elCol: [{
			label: '角色分类',
			prop: 'roleType',
			tag: 'elSelect',
			options:[
				{label:'固定角色',value:'1'},
				{label:'相对角色',value:'2'},
				{label:'自建角色',value:'3'},
			]
		},{
			label: '角色类型',
			prop: 'roleBond',
			tag: 'elSelect',
			options:[
				{label:'集团角色',value:'0'},
				{label:'单位角色',value:'1'},
				{label:'部门角色',value:'2'},
				{label:'不使用',value:'3'},
				{label:'不使用',value:'4'},
				{label:'业务生成器',value:'5'},
				{label:'sso',value:'6'},
			]
		}]
	},{
		elCol:[
			{
				label: '是否基准角色 ',
				prop: 'isBenchmark',
				tag: 'elRadio',
				options:[
					{label:'是',value:'1'},
					{label:'否',value:'0'},
				]
			}
		]
	},
	{
		elCol: [{
			label: '编号',
			prop: 'sorts',
			tag: 'elInputNumber',
		},{
			label: '是否启用',
			prop: 'isEnable',
			tag: 'elRadio',
			options:[
				{label:'启用',value:'1'},
				{label:'停用',value:'0'},
			]
		}]
	},
	{
		elCol: [{
			label: '内外标识',
			prop: 'externalType',
			tag: 'elRadio',
			options:[
				{label:'外部',value:'1'},
				{label:'内部',value:'0'},
			]
		},{
			label: '是否被删除',
			prop: 'isDeleted',
			tag: 'elRadio',
			options:[
				{label:'删除',value:'1'},
				{label:'未删除',value:'0'},
			]
			
		}]
	},
	{
		elCol: [{
			label: '前台授权',
			prop: 'frontAuthorization',
			tag: 'elInput',
			disabled:true
		},{
			label: '选人界面',
			prop: 'personSelectionInterface',
			tag: 'elInput',
			disabled:true
		}]
	},
	{
		elCol: [{
			label: '描述',
			prop: 'description',
			tag: 'elInput',
			type:'textarea',
			span:24
		}]
	},
]
export default {
	tableColumn,
	rules,
	formRow
}
