// 表头配置
const tableColumnJson = [
  {
    label: '按钮编号',
    prop: 'code',
    tooltip: true,
  },
  {
    label: '按钮中文编码',
    prop: 'nameCh',
    tooltip: true,
  },
  {
    label: '按钮英文编码',
    prop: 'nameEn',
    tooltip: true,
  },
  {
    label: '按钮格式',
    prop: 'styles',
    tooltip: true,
  },
  {
    label: '按钮图标',
    prop: 'iconName',
    tooltip: true
  },
  {
    label: '按钮方法',
    prop: 'btnFunction',
    tooltip: true
  },
  {
    label: '按钮顺序',
    prop: 'sorts',
    tooltip: true,
  },
  {
    label: '备注',
    prop: 'remark',
    tooltip: true
  },
  {
    label: '创建时间',
    prop: 'createTime',
    tooltip: true
  },
  // {
  // 	label: '删除标识',
  // 	prop: 'IsDelete',
  // 	tooltip: true
  // },

]
// 详情页面结构JSON
const formRow = [
  {
    elCol: [
      {
        label: "按钮编号",
        prop: "code",
        tag: "elInput",
      },
      {
        label: "中文名称",
        prop: "nameCh",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "英文名称",
        prop: "nameEn",
        tag: "elInput",
      },
      {
        label: "调用方法",
        prop: "btnFunction",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "样式",
        prop: "styles",
        tag: "elInput",
      },
      {
        label: "图标",
        prop: "iconName",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "顺序",
        prop: "sorts",
        tag: "elInput",
      },
    ],
  },
  // {
  //   elCol: [
  //     {
  //       label: "接口名称",
  //       prop: "actionName",
  //       tag: "elInput",
  //       span: 24,
  //       type: "textarea",
  //     },
  //   ],
  // },
  {
    elCol: [
      {
        label: "备注",
        prop: "remark",
        tag: "elInput",
        span: 24,
        type: "textarea",
      },
    ],
  },
];
const roleOptions = [
  {
    label: "超级管理员",
    value: 1,
  },
  {
    label: "业务员",
    value: 2,
  },
  {
    label: "管理员",
    value: 3,
  },
  {
    label: "开发成员",
    value: 4,
  },
  {
    label: "项目经理",
    value: 5,
  },
  {
    label: "实施人员",
    value: 6,
  },
  {
    label: "财务",
    value: 7,
  },
  {
    label: "总经理",
    value: 8,
  },
  {
    label: "副总",
    value: 9,
  },
];
const rules = {};
export default {
  formRow,
  rules,
  tableColumnJson,
};
