
// 列表表头配置
const tableColumnJson = [
	{
		label: '单据ID',
		prop: 'bm_id',
		tooltip: true,
	},
	{
		label: '单据名称',
		prop: 'bm_functionName',
		tooltip: true,
	},
	{
		label: '控制器名',
		prop: 'bm_controllerName',
		tooltip: true,
	},
	{
		label: '所属菜单',
		prop: 'mc_MenuName',
		tooltip: true,
	},
	{
		label: '编码规则',
		prop: 'bm_RuleStr',
		tooltip: true
	},
	{
		label: '单据类型',
		prop: 'typeName',
		tooltip: true,
	},
	{
		label: '功能描述',
		prop: 'bm_functionExplain',
		tooltip: true,
	},
	{
		label: '创建人',
		prop: 'createPersonName',
		tooltip: true,
	},
	{
		label: '创建时间',
		prop: 'bm_CreateTime',
		tooltip: true,
	},

]

const orderTableColumn = [
	{
		label: '排序',
		prop: 'sort',
		tooltip: true,
		width: 60
	},
	{
		label: '类型',
		prop: 'type',
		tooltip: true,
		width: 160
	},
	{
		label: '格式规则',
		prop: 'formart',
		tooltip: true,
		width: 180
	},
	{
		label: '长度',
		prop: 'ruleLength',
		tooltip: true,
	}
]


// 详情页面结构JSON
// const gnerationFormRow = [{
// 	elCol: [{
// 			label: '单据id',
// 			prop: 'Bm_id',
// 			tag: 'elInput',
// 			disabled: true
// 		},
// 		{
// 			label: '控制器名',
// 			prop: 'Bm_controllerName',
// 			tag: 'elInput',
// 			disabled: true
// 		},
// 	]
// }, {
// 	elCol: [{
// 			label: '上级菜单',
// 			prop: 'fatherMenuName',
// 			tag: 'elInput',
// 			disabled: true
// 		},
// 		{
// 			label: '功能名称',
// 			prop: 'Bm_functionName',
// 			tag: 'elInput',
// 			disabled: true
// 		},
// 	]
// }, {
// 	elCol: [{
// 		label: '功能介绍',
// 		prop: 'gnjs',
// 		tag: 'elInput',
// 		type: 'textarea',
// 		disabled: true,
// 		span: 24
// 	}, ]
// }, {
// 	elCol: [{
// 		label: '一行几列',
// 		prop: 'lengNumber',
// 		tag: 'elInput',
// 		disabled: true
// 	}, {
// 		prop: 'b_Type',
// 		tag: 'elRadio',
// 		disabled: true,
// 		options: [{
// 			label: 'Business',
// 			value: 'Business'
// 		}, {
// 			label: 'System',
// 			value: 'System',
// 		}, {
// 			label: 'Base',
// 			value: 'Base',
// 		}]
// 	}]
// }, ]
const gnerationFormRow = [
	{
	elCol: [{
			label: '单据id',
			prop: 'Bm_id',
			tag: 'elInput',
			disabled: true
		},
		{
			label: '控制器名',
			prop: 'Bm_controllerName',
			tag: 'elInput',
			disabled: true
		},
	]
}, {
	elCol: [{
			label: '上级菜单',
			prop: 'fatherMenuName',
			tag: 'elInput',
			disabled: true
		},
		{
			label: '功能名称',
			prop: 'Bm_functionName',
			tag: 'elInput',
			disabled: true
		},
	]
}, {
	elCol: [{
		label: '功能介绍',
		prop: 'Bm_functionExplain',
		tag: 'elInput',
		type: 'textarea',
		span: 24,
		disabled: true
	}, ]
}, {
	elCol: [{
		label: '一行几列',
		prop: 'Bm_columnsNumber',
		tag: 'elInput',
		rules: true,
		rulesName: 'integer',
		disabled: true
	}, {
		prop: 'Bm_type',
		tag: 'elRadio',
		disabled: true,
		options: [{
			label: 'Business',
			value: 1
		}, {
			label: 'System',
			value: 0,
		}, {
			label: 'Base',
			value: 2
		}]
	}]
}, ]


const permissionFormRow = [{
		elCol: [{
				label: '单据id',
				prop: 'id',
				tag: 'elInput',
				disabled: true
			},
			{
				label: '单据名称',
				prop: 'bm_functionName',
				tag: 'elInput',
				disabled: true,
			}
		]
	},
	{
		elCol: [{
				label: '权限字段',
				prop: 'ColumnsKey',
				tag: 'elInput',
				placeholder: '数据过滤字段'
			},
			{
				label: '字段所属表',
				prop: 'ColumnsTable',
				tag: 'elInput',
				placeholder: '权限字所在的表或视图'
			}
		]
	},
	{
		elCol: [{
				label: '权限数据源表',
				prop: 'PepedomTable',
				tag: 'elInput',
				placeholder: '例如表dbo.Sys_Organ'
			},
			{
				label: '数据过滤',
				prop: 'Strwhere',
				tag: 'elInput',
				placeholder: '例如 and o_O_OrangID > 5'
			}
		]
	},
	{
		elCol: [{
				label: '数据源ID',
				prop: 'PepedomID',
				tag: 'elInput',
				placeholder: '例如部门IDo_OrangID'
			},
			{
				label: '数据源Name',
				prop: 'PepedomName',
				tag: 'elInput',
				placeholder: '例如名称o_OrangName'
			}
		]
	},

]








export default {
	tableColumnJson,
	gnerationFormRow,
	orderTableColumn,
	permissionFormRow,
}
