// 表头配置
const tableColumnJson = [
  {
    label: '所属部门',
    prop: 'organName',
    tooltip: true,
  },
  {
    label: '工号',
    prop: 'personCode',
    tooltip: true,
  },
  {
    label: '姓名',
    prop: 'personName',
    tooltip: true,
  },
  {
    label: '入职时间',
    prop: 'entryTime',
    tooltip: true,
  },

  // {
  // 	label: '固定电话 ',
  // 	prop: 'p_MoiblePhone',
  // 	tooltip: true,
  // },
  // {
  // 	label: '电子邮箱',
  // 	prop: 'p_Email',
  // 	tooltip: true,
  // },
  {
    label: '出生年月',
    prop: 'p_BirthDay',
    tooltip: true,
  },
  {
    label: '是否用户分配',
    prop: 'isuser',
    tooltip: true,
    width:150
  },
]
// 详情页面结构JSON
const formRow = [{
  elCol: [{
    label: '上级机构',
    prop: 'parentOrganName',
    tag: 'elDialog',
    disabled:true,
  }
  ]
},
  {
    elCol: [{
      label: '机构名称',
      prop: 'organName',
      tag: 'elInput',
    }
    ]
  },
  {
    elCol: [{
      label: '部门编码',
      prop: 'organCode',
      tag: 'elInput',
    }
    ]
  },
  {
    elCol: [{
      label: '负责人',
      prop: 'managerName',
      tag: 'elDialog',
    }
    ]
  },
  {
    elCol: [{
      label: '是否公司',
      prop: 'company',
      tag: 'elRadio',
      options: [{
        label: '是',
        value: "0"
      },{
        label: '否',
        value: "1"
      }
      ]
    }
    ]
  },
  {
    elCol: [{
      label: '是否启用',
      prop: 'state',
      tag: 'elRadio',
      options: [{
        label: '是',
        value: "0"
      },{
        label: '否',
        value: "1"
      }
      ]
    }
    ]
  },
  {
    elCol: [{
      label: '备注',
      prop: 'remark',
      tag: 'elInput',
      type:'textarea',
      span:24
    }]

  },
]
const roleOptions = [{
  label: '超级管理员',
  value: 1
},
  {
    label: '业务员',
    value: 2
  },
  {
    label: '管理员',
    value: 3
  },
  {
    label: '开发成员',
    value: 4
  },
  {
    label: '项目经理',
    value: 5
  },
  {
    label: '实施人员',
    value: 6
  },
  {
    label: '财务',
    value: 7
  },
  {
    label: '总经理',
    value: 8
  },
  {
    label: '副总',
    value: 9
  }
]
const rules = {
  villageId: [{
    required: true,
    message: '请选择村/社区名称',
    trigger: 'change'
  }],
  registerTime: [{
    required: true,
    message: '请选择登记时间',
    trigger: 'change'
  }],
};
// 详情显示图片配置
const showImgJson = {
  span: 24,
  text: '现场照片',
  field: 'photoUrls',

};
export default {
  showImgJson,
  formRow,
  rules,
  tableColumnJson
}
